summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-emulation/vmware-workstation/files/configure-hostd.sh')
-rw-r--r--app-emulation/vmware-workstation/files/configure-hostd.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/app-emulation/vmware-workstation/files/configure-hostd.sh b/app-emulation/vmware-workstation/files/configure-hostd.sh
new file mode 100644
index 000000000000..480e9037d86d
--- /dev/null
+++ b/app-emulation/vmware-workstation/files/configure-hostd.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+action="$1"
+
+case $action in
+ add)
+ rc-update -q add vmware-workstation-server default
+ rc-service vmware-workstation-server start
+ ;;
+ remove)
+ rc-update -q del vmware-workstation-server default
+ rc-service vmware-workstation-server stop
+ ;;
+ status)
+ rc-service -q vmware-workstation-server status
+ ;;
+ *)
+ exit 1
+ ;;
+esac